Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83014 - current updates kernel faulting issues 2.4.18-19.8.0
Summary: current updates kernel faulting issues 2.4.18-19.8.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-29 15:47 UTC by R P Herrold
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:28 UTC


Attachments (Terms of Use)

Description R P Herrold 2003-01-29 15:47:42 UTC
Description of problem:

kernel crashes on some unknown process, using the loop device (I think)

Version-Release number of selected component (if applicable):

kernel-2.4.18-19.8.0

How reproducible:

Spontaneous, when using loop device

[herrold@ftp herrold]$ lsmod ; lspci -v -v -v
Module                  Size  Used by    Not tainted
nls_iso8859-1           3484   3 (autoclean)
loop                   11224   9 (autoclean)
tun                     5440   0 (unused)
nfsd                   73232   8 (autoclean)
lockd                  53488   1 (autoclean) [nfsd]
sunrpc                 75356   1 (autoclean) [nfsd lockd]
airo                   38600   0 (unused)
orinoco_plx             3976   0 (unused)
orinoco                34104   0 [orinoco_plx]
hermes                  7492   0 [orinoco_plx orinoco]
3c59x                  29488   1
ext3                   64160   4
jbd                    48180   4 [ext3]
00:00.0 Host bridge: Intel Corp. 430TX - 82439TX MTXC (rev 01)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 32

00:07.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 01)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01) (prog-if 80
[Master])
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32
        Region 0: [virtual] I/O ports at 01f0
        Region 1: [virtual] I/O ports at 03f4
        Region 2: [virtual] I/O ports at 0170
        Region 3: [virtual] I/O ports at 0374
        Region 4: I/O ports at ffa0 [size=16]

00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01) (prog-if 00
[UHCI])
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin D routed to IRQ 0
        Region 4: I/O ports at 1000 [disabled] [size=32]

00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 01)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin ? routed to IRQ 9

00:08.0 Network controller: Standard Microsystems Corp [SMC] SMC2602W EZConnect
/ Addtron AWA-100 (rev 02)
        Subsystem: Standard Microsystems Corp [SMC] SMC2602W EZConnect / Addtron
AWA-100
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 9
        Region 1: I/O ports at c000 [size=128]
        Region 2: Memory at ffefa000 (32-bit, non-prefetchable) [size=4K]
        Region 3: I/O ports at b800 [size=64]

00:09.0 VGA compatible controller: Matrox Graphics, Inc. MGA 1064SG [Mystique]
(rev 02) (prog-if 00 [VGA])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
Connection to ftp closed by remote host.
Connection to ftp closed.



[herrold@ftp herrold]$ ps afx
  PID TTY      STAT   TIME COMMAND
    1 ?        S      0:04 init
    2 ?        SW     0:00 [keventd]
    3 ?        SW     0:00 [kapmd]
    4 ?        SWN    0:00 [ksoftirqd_CPU0]
    5 ?        SW     0:08 [kswapd]
    6 ?        SW     0:00 [bdflush]
    7 ?        SW     0:00 [kupdated]
    8 ?        SW     0:00 [mdrecoveryd]
   12 ?        SW     0:01 [kjournald]
  109 ?        SW     0:00 [kjournald]
  110 ?        SW     0:00 [kjournald]
  111 ?        SW     0:04 [kjournald]
  398 ?        S      0:00 syslogd -m 0
  402 ?        S      0:00 klogd -x
  419 ?        S      0:00 portmap
  438 ?        S      0:00 rpc.statd
  528 ?        S      0:06 arpwatch -u pcap -e root -s root (Arpwatch)
  537 ?        S      0:10 named -u named
  554 ?        S      0:08 /usr/sbin/sshd
 3578 ?        S      0:00  \_ /usr/sbin/sshd
 3580 ?        S      0:00      \_ /usr/sbin/sshd
 3582 pts/1    S      0:00          \_ -bash
 3624 pts/1    R      0:00              \_ ps afx
  568 ?        S      0:00 xinetd -stayalive -reuse -pidfile /var/run/xinetd.pid
  597 ?        S      0:00 rpc.rquotad
  601 ?        SW     0:00 [nfsd]
  602 ?        SW     0:00 [nfsd]
  603 ?        SW     0:00 [nfsd]
  604 ?        SW     0:00 [nfsd]
  605 ?        SW     0:00 [nfsd]
  606 ?        SW     0:00 [nfsd]
  607 ?        SW     0:00 [nfsd]
  608 ?        SW     0:00 [nfsd]
  609 ?        SW     0:00 [lockd]
  610 ?        SW     0:00  \_ [rpciod]
  616 ?        S      0:00 rpc.mountd
  625 ?        S      0:00 /usr/sbin/dhcpd
  652 ?        S      0:00 sendmail: accepting connections
  662 ?        S      0:00 sendmail: Queue runner@01:00:00 for /var/spool/client
  678 ?        S      0:00 /usr/sbin/httpd
26232 ?        S      0:00  \_ /usr/sbin/httpd
26233 ?        S      0:00  \_ /usr/sbin/httpd
26234 ?        S      0:00  \_ /usr/sbin/httpd
26235 ?        S      0:00  \_ /usr/sbin/httpd
26236 ?        S      0:00  \_ /usr/sbin/httpd
26237 ?        S      0:00  \_ /usr/sbin/httpd
26238 ?        S      0:00  \_ /usr/sbin/httpd
26239 ?        S      0:00  \_ /usr/sbin/httpd
  687 ?        S      0:00 crond
  724 ?        S      0:00 xfs -droppriv -daemon
  742 ?        S      0:00 /usr/sbin/atd
  755 ?        S      0:43 rhnsd --interval 120
  762 tty1     S      0:00 /sbin/mingetty tty1
  763 tty2     S      0:00 /sbin/mingetty tty2
  764 tty3     S      0:00 /sbin/mingetty tty3
  765 tty4     S      0:00 /sbin/mingetty tty4
  766 tty5     S      0:00 /sbin/mingetty tty5
  767 tty6     S      0:00 /sbin/mingetty tty6
  768 ?        S      0:00 /usr/bin/gdm-binary
  819 ?        S      0:00  \_ /bin/sh /etc/X11/gdm/XKeepsCrashing
  828 ?        S      0:00      \_ /usr/sbin/gdmopen /etc/X11/gdm/XKeepsCrashing
  829 tty7     S      0:00          \_ /bin/sh /etc/X11/gdm/XKeepsCrashing -noop
  839 tty7     S      0:00              \_ /usr/bin/dialog --yesno I cannot star
 1055 ?        SW     0:13 [loop0]
 1062 ?        SW     0:04 [loop1]
 1068 ?        SW     0:04 [loop2]
 3494 pts/0    S      0:00 -bash
 3535 pts/0    S      0:00  \_ su -
 3539 pts/0    S      0:00      \_ -bash
[herrold@ftp herrold]$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda3               388693    306888     61724  84% /
/dev/hda1               155545     23303    124212  16% /boot
none                     30904         0     30904   0% /dev/shm
/dev/hda5              2371820   1288756    962580  58% /usr
/dev/hdb6             26896336  22193908   3336164  87% /var/ftp/pub/mirror
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0116.Beta4-RC1-i386-disc1-ftp.iso
                        639328    639328         0 100%
/var/ftp/pub/loop/ftpinstall/1
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0116.Beta4-RC1-i386-disc2-ftp.iso
                        660960    660960         0 100%
/var/ftp/pub/loop/ftpinstall/2
/var/ftp/pub/mirror/redhat/beta/Phoebe-re0116.Beta4-RC1-i386-disc3-ftp.iso
                        565056    565056         0 100%
/var/ftp/pub/loop/ftpinstall/3
[herrold@ftp herrold]$ rpm -q kernel
kernel-2.4.18-14
kernel-2.4.18-17.8.0
kernel-2.4.18-18.8.0
kernel-2.4.18-19.8.0
[herrold@ftp herrold]$ rpm -q --qf '%{name} \t %{version} \t %{}Connection to
ftp closed by remote host.
Connection to ftp closed.
[herrold@oldnews herrold]$ rem rem rem -- it faulted again and dupmed me out,
mid RPM query build
bash: rem: command not found
[herrold@oldnews herrold]$ ssh ftp
herrold@ftp's password:
[herrold@ftp herrold]$ rpm -q --qf '%{name} \t %{version} \t %{arch} \n'
rpmq: no arguments given for query
[herrold@ftp herrold]$
[herrold@ftp herrold]$ rpm -q --qf '%{name} \t %{version} \t %{arch} \n' kernel
kernel   2.4.18          i586
kernel   2.4.18          i586
kernel   2.4.18          i586
kernel   2.4.18          i586
[herrold@ftp herrold]$ rpm -q --qf '%{name} \t %{version} \t %{release} \t
%{arch} \n' kernel
kernel   2.4.18          14      i586
kernel   2.4.18          17.8.0          i586
kernel   2.4.18          18.8.0          i586
kernel   2.4.18          19.8.0          i586
[herrold@ftp herrold]$ dmesg
Linux version 2.4.18-19.8.0 (bhcompile@stripples.devel.redhat.com) (gcc version
3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 Thu Dec 12 04:35:52 EST 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 0000000004000000 (usable)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000fffe0000 - 0000000100000000 (reserved)
64MB LOWMEM available.
On node 0 totalpages: 16384
zone(0): 4096 pages.
zone(1): 12288 pages.
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda3
Initializing CPU#0
Detected 100.229 MHz processor.
Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay loop... 199.88 BogoMIPS
Memory: 61012k/65536k available (1194k kernel code, 3624k reserved, 985k data,
160k init, 0k highmem)
Dentry cache hash table entries: 8192 (order: 4, 65536 bytes)
Inode cache hash table entries: 4096 (order: 3, 32768 bytes)
Mount cache hash table entries: 1024 (order: 1, 8192 bytes)
ramfs: mounted with options: <defaults>
ramfs: max_pages=7690 max_file_pages=0 max_inodes=0 max_dentries=7690
Buffer cache hash table entries: 4096 (order: 2, 16384 bytes)
Page-cache hash table entries: 16384 (order: 4, 65536 bytes)
CPU: Before vendor init, caps: 000001bf 00000000 00000000, vendor = 0
Intel Pentium with F0 0F bug - workaround enabled.
CPU: After vendor init, caps: 000001bf 00000000 00000000 00000000
CPU:     After generic, caps: 000001bf 00000000 00000000 00000000
CPU:             Common caps: 000001bf 00000000 00000000 00000000
CPU: Intel Pentium 75 - 200 stepping 04
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: none
PCI: PCI BIOS revision 2.10 entry at 0xfdba1, last bus=0
PCI: Using configuration type 1
PCI: Probing PCI hardware
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x0b (Driver version 1.16)
Starting kswapd
VFS: Diskquotas version dquot_6.5.0 initialized
Detected PS/2 Mouse Port.
pty: 512 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
block: 112 slots per queue, batch=28
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xffa0-0xffa7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xffa8-0xffaf, BIOS settings: hdc:pio, hdd:pio
hda: Maxtor 33073H3, ATA DISK drive
hdb: Maxtor 6E030L0, ATA DISK drive
hdc: LITE-ON LTR-52246S, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
blk: queue c037fc44, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c037fc44, I/O limit 4095Mb (mask 0xffffffff)
hda: 60032448 sectors (30737 MB) w/2048KiB Cache, CHS=3736/255/63, UDMA(33)
blk: queue c037fd80, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c037fd80, I/O limit 4095Mb (mask 0xffffffff)
hdb: 60058656 sectors (30750 MB) w/2048KiB Cache, CHS=59582/16/63, UDMA(33)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 hda9 >
 hdb: hdb1 hdb2 hdb3 hdb4 < hdb5 hdb6 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 4096 bind 8192)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 126k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 160k freed
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,3), internal journal
Adding Swap: 240964k swap-space (priority -1)
Adding Swap: 200772k swap-space (priority -2)
Adding Swap: 88316k swap-space (priority -3)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,5), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,70), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
parport0: PC-style at 0x378 [PCSPP,TRISTATE]
ohci1394: pci_module_init failed
3c59x: Donald Becker and others. www.scyld.com/network/vortex.html
00:0a.0: 3Com PCI 3c905 Boomerang 100baseTx at 0xc800. Vers LK1.1.18-ac
divert: allocating divert_blk for eth0
hermes.c: 5 Apr 2002 David Gibson <hermes@gibson.dropbear.id.au>
orinoco.c 0.11b (David Gibson <hermes@gibson.dropbear.id.au> and others)
orinoco_plx.c 0.11b (Daniel Barlow <dan@telent.net>)
orinoco_plx: CIS:
4D01:3F03:1D00:8300:AAFF:DC17:8404:C467:775A:8F08:1BFF:4C1D:B005:C301:6D67:FA5A:
orinoco_plx: Local Interrupt already enabled
Detected Orinoco/Prism2 PLX device at 00:08.0 irq:9, io addr:0xb800
divert: allocating divert_blk for eth1
eth1: Station identity 001f:0006:0000:0007
eth1: Looks like an Intersil firmware version 0.07
eth1: Intersil firmware earlier than v0.08 - several features not supported
eth1: Ad-hoc demo mode supported
eth1: IEEE standard IBSS ad-hoc mode supported
eth1: MAC address 00:04:E2:07:F7:90
eth1: Station name "Prism  I"
eth1: ready
airo:  Probing for PCI adapters
airo: Doing fast bap_reads
divert: allocating divert_blk for eth2
airo: MAC enabled eth2 0:40:96:30:12:a0
airo:  Finished probing for PCI adapters
eth0: Setting promiscuous mode.
device eth0 entered promiscuous mode
Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
Universal TUN/TAP device driver 1.5 (C)1999-2002 Maxim Krasnyansky
loop: loaded (max 8 devices)
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
init_special_inode: bogus imode (72337)
EXT3-fs error (device ide0(3,70)): ext3_readdir: bad entry in directory #572329:
rec_len % 4 != 0 - offset=0, inode=33060, rec_len=55637, name_len=76
Unable to handle kernel NULL pointer dereference at virtual address 00000011
 printing eip:
00000011
*pde = 00000000
Oops: 0000
nls_iso8859-1 loop tun nfsd lockd sunrpc airo orinoco_plx orinoco hermes 3c59x
ext3 jbd
CPU:    0
EIP:    0010:[<00000011>]    Not tainted
EFLAGS: 00010213

EIP is at Using_Versions [] 0x10 (2.4.18-19.8.0)
eax: 00000000   ebx: c02e1198   ecx: 00000000   edx: bffffd96
esi: 00000000   edi: 4000e580   ebp: bffffdf8   esp: c211ffac
ds: 0018   es: 0018   ss: 0018
Process tmpwatch (pid: 3370, stackpage=c211f000)
Stack: bffffc10 c02deee0 00000186 c211e000 bffffc10 c0108d23 bffffc10 00000000
       40011768 bffffc10 4000e580 bffffdf8 0000007a 0000002b 0000002b 0000007a
       4000d07d 00000023 00000296 bffffbcc 0000002b
Call Trace: [<c0108d23>] system_call [kernel] 0x33 (0xc211ffc0))


Code:  Bad EIP value.
 <1>Unable to handle kernel NULL pointer dereference at virtual address 0000000a
 printing eip:
c01174d5
*pde = 00000000
Oops: 0002
nls_iso8859-1 loop tun nfsd lockd sunrpc airo orinoco_plx orinoco hermes 3c59x
ext3 jbd
CPU:    0
EIP:    0010:[<c01174d5>]    Not tainted
EFLAGS: 00010286

EIP is at add_wait_queue [kernel] 0x5 (2.4.18-19.8.0)
eax: ffffe000   ebx: c1908720   ecx: c17ae050   edx: c17ae054
esi: c0937140   edi: 0000000a   ebp: 00000400   esp: c2377f08
ds: 0018   es: 0018   ss: 0018
Process lpd (pid: 581, stackpage=c2377000)
Stack: c01428c6 c0937140 c121ee20 c2377f48 00000000 c0937140 c0147f74 c0937140
       c2377f48 c2376000 00000145 c2376000 0000ea60 00000000 c2377f48 0000000b
       00000000 c17ae000 00000000 00000004 c121d958 bffffc00 c01482eb 0000000b
Call Trace: [<c01428c6>] pipe_poll [kernel] 0x26 (0xc2377f08))
[<c0147f74>] do_select [kernel] 0x224 (0xc2377f20))
[<c01482eb>] sys_select [kernel] 0x33b (0xc2377f60))
[<c0108d23>] system_call [kernel] 0x33 (0xc2377fc0))


Code: fe 53 89 0a 9c 5e fa 8d 4a 08 8b 18 89 5a 08 89 08 89 4b 04
 <1>Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c01174d5
*pde = 00000000
Oops: 0002
nls_iso8859-1 loop tun nfsd lockd sunrpc airo orinoco_plx orinoco hermes 3c59x
ext3 jbd
CPU:    0
EIP:    0010:[<c01174d5>]    Not tainted
EFLAGS: 00010286

EIP is at add_wait_queue [kernel] 0x5 (2.4.18-19.8.0)
eax: ffffe000   ebx: c304bf48   ecx: c2a14050   edx: c2a14054
esi: c1c73000   edi: 00000000   ebp: c28b5860   esp: c304bee8
ds: 0018   es: 0018   ss: 0018
Process sshd (pid: 3492, stackpage=c304b000)
Stack: c01724e1 c28b5860 c1c73970 c304bf48 c1c73000 c28b5860 00000008 00000100
       c016f6a9 c1c73000 c28b5860 c304bf48 00000000 c28b5860 c0147f74 c28b5860
       c304bf48 c304a000 00000145 c304a000 7fffffff 00000000 c304bf48 0000000a
Call Trace: [<c01724e1>] normal_poll [kernel] 0x41 (0xc304bee8))
[<c016f6a9>] tty_poll [kernel] 0x69 (0xc304bf08))
[<c0147f74>] do_select [kernel] 0x224 (0xc304bf20))
[<c01482eb>] sys_select [kernel] 0x33b (0xc304bf60))
[<c0139e3d>] sys_write [kernel] 0xcd (0xc304bfac))
[<c0108d23>] system_call [kernel] 0x33 (0xc304bfc0))


Code: fe 53 89 0a 9c 5e fa 8d 4a 08 8b 18 89 5a 08 89 08 89 4b 04
 <1>Unable to handle kernel paging request at virtual address 4576c177
 printing eip:
c1b2688b
*pde = 00000000
Oops: 0002
nls_iso8859-1 loop tun nfsd lockd sunrpc airo orinoco_plx orinoco hermes 3c59x
ext3 jbd
CPU:    0
EIP:    0010:[<c1b2688b>]    Not tainted
EFLAGS: 00010282

EIP is at ___strtok_R29805c13 [] 0x17950cf (2.4.18-19.8.0)
eax: c1b268b1   ebx: c1689003   ecx: c211f02b   edx: 4576c177
esi: c0937bc0   edi: 000000c3   ebp: c01428c6   esp: c27b1f14
ds: 0018   es: 0018   ss: 0018
Process sshd (pid: 3580, stackpage=c27b1000)
Stack: c27b1f48 00000000 c0937bc0 c0147f74 c0937bc0 c27b1f48 c27b0000 00000145
       c27b0000 7fffffff 00000000 c27b1f48 0000000a 00000000 c211f000 00000000
       00000004 c267d378 00000000 c01482eb 0000000a c27b1f90 c27b1f8c 00000029
Call Trace: [<c0147f74>] do_select [kernel] 0x224 (0xc27b1f20))
[<c01482eb>] sys_select [kernel] 0x33b (0xc27b1f60))
[<c0139d3d>] sys_read [kernel] 0xcd (0xc27b1fac))
[<c0108d23>] system_call [kernel] 0x33 (0xc27b1fc0))


Code: 00 72 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 <1>Unable to handle kernel paging request at virtual address 00015165
 printing eip:
c01162e3
*pde = 00000000
Oops: 0000
nls_iso8859-1 loop tun nfsd lockd sunrpc airo orinoco_plx orinoco hermes 3c59x
ext3 jbd
CPU:    0
EIP:    0010:[<c01162e3>]    Not tainted
EFLAGS: 00010006

EIP is at __wake_up [kernel] 0x23 (2.4.18-19.8.0)
eax: c1b26860   ebx: c211002c   ecx: 00000001   edx: 00015165
esi: c1b26860   edi: 00000001   ebp: c27b1d7c   esp: c27b1d68
ds: 0018   es: 0018   ss: 0018
Process sshd (pid: 3580, stackpage=c27b1000)
Stack: 00000001 00000286 c1b26860 c168912c c16890c0 c3fb65e0 c014296e c332bb20
       c1251260 c16890c0 c01429ce c16890c0 00000000 00000001 c013aa19 c16890c0
       c332bb20 c332bb20 c37d3540 00000000 c37d3540 c0139467 c332bb20 c37d3540
Call Trace: [<c014296e>] pipe_release [kernel] 0x5e (0xc27b1d80))
[<c01429ce>] pipe_write_release [kernel] 0xe (0xc27b1d90))
[<c013aa19>] fput [kernel] 0xd9 (0xc27b1da0))
[<c0139467>] filp_close [kernel] 0x37 (0xc27b1dbc))
[<c011c66e>] close_files [kernel] 0x6e (0xc27b1ddc))
[<c011b906>] put_files_struct [kernel] 0x16 (0xc27b1dfc))
[<c011bebb>] do_exit [kernel] 0xbb (0xc27b1e08))
[<c0109385>] die [kernel] 0x65 (0xc27b1e20))
[<c0115006>] do_page_fault [kernel] 0x266 (0xc27b1e2c))
[<c01d4179>] memcpy_toiovec [kernel] 0x39 (0xc27b1e44))
[<c01d4851>] skb_copy_datagram_iovec [kernel] 0x41 (0xc27b1e68))
[<c01f233b>] cleanup_rbuf [kernel] 0xcb (0xc27b1e88))
[<c01332a4>] __alloc_pages [kernel] 0x74 (0xc27b1eb4))
[<c0114da0>] do_page_fault [kernel] 0x0 (0xc27b1ecc))
[<c01428c6>] pipe_poll [kernel] 0x26 (0xc27b1ed0))
[<c0108e34>] error_code [kernel] 0x34 (0xc27b1ed4))
[<c01428c6>] pipe_poll [kernel] 0x26 (0xc27b1ef4))
[<c0147f74>] do_select [kernel] 0x224 (0xc27b1f20))
[<c01482eb>] sys_select [kernel] 0x33b (0xc27b1f60))
[<c0139d3d>] sys_read [kernel] 0xcd (0xc27b1fac))
[<c0108d23>] system_call [kernel] 0x33 (0xc27b1fc0))


Code: 8b 02 85 c7 75 17 8b 1b 39 f3 75 f1 ff 75 f0 9d 8d 65 f4 5b

[herrold@ftp herrold]$

Comment 1 Bugzilla owner 2004-09-30 15:40:28 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.